import { SymbologySettings } from '@scandit/web-datacapture-barcode';
import { nativeHandle } from '@scandit/web-datacapture-core/build/js/private/nativeHandle.js';
import { BarcodeField } from './BarcodeField.js';
import './LabelFieldDefinition.js';

declare class ImeiTwoBarcode implements BarcodeField {
    private [nativeHandle];
    private _name;
    private _isOptional;
    private _valueRegexes;
    private _symbologies;
    private constructor();
    get name(): string;
    get isOptional(): boolean;
    get valueRegexes(): string[];
    get symbologies(): SymbologySettings[];
    private static forHandle;
}

export { ImeiTwoBarcode };
